Subject: Re: Draft meeting minutes from the 55th IETF

From: Alexey Melnikov <[email-masked]>
Date: Tue, 10 Dec 2002 22:26:29 +0300

"Nystrom, Magnus" wrote:

> Well, since we do not lock the credential at the server we will have a
> race condition regardless of whether we have an UploadResponse or not. It
> would be possible to add a flag to the download "download for
> modification" and then don't allow any other "modification downloads"
> until an upload happens, but I see several other problems with this
> approach (e.g. what happens if an upload does not happen?)

No, I wasn't recommending this.

> and I can't see
> a pressing problem here since credential modifications will be quite rare
> and why would a user need to do them simulatenously from more than one
> client?
>
> To get the fresh timestamp after a successful upload clients will have to
> do a new download after the modification too, yes. That is the consequence
> of not having the UploadResponse message.

Download *after* upload makes more sense than *before* upload, for the reason
you gave.

> -- Magnus
>
> On Thu, 21 Nov 2002, Alexey Melnikov wrote:
>
> > "Nystrom, Magnus" wrote:
> >
> > > -Upload response: Agreement not to make use of an UploadResponse
> > >  message, but retain current text requiring clients to download (to
> > >  ensure a fresh copy) before modifying.
> >
> > But this is a race condition? (unless you've meant "after modifying").

Cheers,
Alexey Melnikov
__________________________________________
R & D, ACI Worldwide/MessagingDirect
Watford, UK

Work Phone: +44 1923 81 2877
Home Page: http://orthanc.ab.ca/mel

I speak for myself only, not for my employer.
__________________________________________

---

From: "Nystrom, Magnus" <[email-masked]>
Date: Wed, 11 Dec 2002 01:35:13 -0800 (PST)

On Tue, 10 Dec 2002, Alexey Melnikov wrote:

[...]

> Download *after* upload makes more sense than *before* upload, for the
> reason you gave.

Well, the problem (vis-a-vis the server) only occurs when you try to
upload a credential which is outdated (from the server's point of view).
Therefore you should do a download before you start to modify, to ensure
(to some degree) a fresh copy. After the upload, you don't need to do a
new download (to get a fresh timpestamp) until you are about to modify
again (to solve this problem).

-- Magnus